import { dayjs } from 'element-plus'

export const formatTime = (time) => dayjs(time).format('YYYY-MM-DD')

export const formatDateTime = (time) =>
  dayjs(time).format('YYYY-MM-DD HH:mm:ss ')

// 时间字符串转换
export const timeToNumber = (timeStr) => Number(timeStr.split(':')[0])

// 时间戳转化
export const toTimestamp = (timeStr) => {
  // 创建 Date 对象
  const date = new Date(timeStr)

  // 检查日期是否有效
  if (isNaN(date.getTime())) {
    throw new Error('Invalid date string')
  }
  // 返回时间戳（毫秒）
  return date.getTime()
}
